#!/usr/bin/make -f

# Output every command that modifies files on the build system.
export DH_VERBOSE = 1

export PYBUILD_NAME=imapclient

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	doc/src/ build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman \
	doc/src/ build/man # Manpage generator
